> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/managedconfigurationsforuser/update#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_5).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Adds or updates the managed configuration settings for an app for the specified user. If you support the [Managed configurations iframe](https://developers.google.com/android/work/play/emm-api/managed-configurations-iframe), you can apply managed configurations to a user by specifying an `mcmId` and its associated configuration variables (if any) in the request. Alternatively, all EMMs can apply managed configurations by passing a list of managed properties.

<br />

## Request

### HTTP request

```
PUT https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users/userId/managedConfigurationsForUser/managedConfigurationForUserId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `managedConfigurationForUserId` | `string` | The ID of the managed configuration (a product ID), e.g. "app:com.google.android.gm". |
| `userId` | `string` | The ID of the user. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply a [Managedconfigurationsforuser resource](https://developers.google.com/android/work/play/emm-api/v1/managedconfigurationsforuser#resource).

## Response

If successful, this method returns a [Managedconfigurationsforuser resource](https://developers.google.com/android/work/play/emm-api/v1/managedconfigurationsforuser#resource) in the response body.